import java.io.IOException;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {
	
	// Constants for color model
	public static final int RGB=1;
	public static final int YCBCR=2;
	public static final int HSV=3;
	public static final int HMMD=4;
	public static final int MONOCHROMATIC=5;
	public static final int HSVDC=6;
	// Constants for HSV model
	public static final int H=0;
	public static final int S=1;
	public static final int V=2;
	// Constants for RGB model
	public static final int R=0;
	public static final int G=1;
	public static final int B=2;

	public void start(Stage primaryStage) {
		
		//0: SETTING UP VARIABLES	
		Parent root = null;
		
		//1: OPENING GUI
		try {
			root = FXMLLoader.load(getClass().getResource("GUI.fxml"));
		}catch (IOException e) {
			e.printStackTrace();
		}

		Scene scene = new Scene(root);
		primaryStage.setScene(scene);
		primaryStage.show();

	}

	public static void main(String[] args) {
		launch(args);
	}
}